org.eclipse.gef.dot.internal.ui

## Class DotGraphView

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView
        - - org.eclipse.gef.zest.fx.ui.parts.ZestFxUiView
          - - org.eclipse.gef.dot.internal.ui.DotGraphView

All Implemented Interfaces:
  IAdaptable, IExecutableExtension, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, IShowInTarget, IWorkbenchPartOrientation

    public class DotGraphView
    extends org.eclipse.gef.zest.fx.ui.parts.ZestFxUiView
    implements IShowInTarget

Render DOT content with ZestFx and Graphviz

### Field Summary

Fields
`static java.lang.String` `STYLES_CSS_FILE`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`DotGraphView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate()`
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `init(IViewSite site)`
`protected boolean` `isNativeMode()`
`void` `setGraph(org.eclipse.gef.graph.Graph graph)`
`boolean` `show(ShowInContext context)`

### Methods inherited from class org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView

`createActions, deactivate, disposeActions, getAdapter, getCanvas, getContentViewer, getDomain, hookViewers, setFocus, unhookViewers`

### Methods inherited from class org.eclipse.ui.part.ViewPart

`checkSite, getViewSite, init, saveState, setContentDescription, setInitializationData, setPartName`

### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

### Field Detail

#### STYLES_CSS_FILE

    public static final java.lang.String STYLES_CSS_FILE

### Constructor Detail

#### DotGraphView

    public DotGraphView()

### Method Detail

#### activate

    protected void activate()

Overrides:
  `activate` in class `org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView`

#### init

    public void init(IViewSite site)
              throws PartInitException

Specified by:
  `init` in interface `IViewPart`
Overrides:
  `init` in class `org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView`
Throws:
  `PartInitException`

#### isNativeMode

    protected boolean isNativeMode()

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IWorkbenchPart`
Overrides:
  `dispose` in class `org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView`

#### createPartControl

    public void createPartControl(Composite parent)

Specified by:
  `createPartControl` in interface `IWorkbenchPart`
Overrides:
  `createPartControl` in class `org.eclipse.gef.mvc.fx.ui.parts.AbstractFXView`

#### setGraph

    public void setGraph(org.eclipse.gef.graph.Graph graph)

Overrides:
  `setGraph` in class `org.eclipse.gef.zest.fx.ui.parts.ZestFxUiView`

#### show

    public boolean show(ShowInContext context)

Specified by:
  `show` in interface `IShowInTarget`